package accessctl

import "testing"

func TestFilterNot(t *testing.T) {
	runCommitMatchTests(t, []filterCommitMatchTest{
		{
			descr: "sub-filter does match",
			filter: FilterNot{
				Filter: Filter{
					CommitType: &FilterCommitType{Type: "foo"},
				},
			},
			req: CommitRequest{
				Type: "foo",
			},
			match: false,
		},
		{
			descr: "sub-filter does not match",
			filter: FilterNot{
				Filter: Filter{
					CommitType: &FilterCommitType{Type: "foo"},
				},
			},
			req: CommitRequest{
				Type: "bar",
			},
			match: true,
		},
	})
}
